{ 
  "sEcho": <%= echo_data_tables %>,
  "iTotalRecords": <%= @services_total_count.to_json %>,
  "iTotalDisplayRecords": <%= @services_total_display_count.to_json %>,
  "aaData": [
  <% @services.each_with_index do |service, index| -%>
    {
      "name":       <%= service_name_html(service) %>,
      "protocol":   <%= service_protocol_html(service) %>,
      "port":       <%= service_port_html(service) %>,
      "info":       <%= service_info_html(service) %>,
      "host_count": <%= service_host_count_html(service) %>
    }<%= ',' unless index == (@services.size - 1) %>
  <% end -%>
  ]
}
